Bug 105088 - "Control" and "Form" in Form context menu should be followed by "properties" to make the purpose clearer
Summary: "Control" and "Form" in Form context menu should be followed by "properties" ...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
5.2.3.3 release
Hardware: All All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard: target:6.3.0
Keywords:
Depends on:
Blocks: Context-Menu Database-Forms
  Show dependency treegraph
 
Reported: 2017-01-04 06:07 UTC by Howard Johnson
Modified: 2019-02-27 18:32 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
screen shot showing shortcut menu (96.41 KB, image/png)
2017-01-04 06:07 UTC, Howard Johnson
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Howard Johnson 2017-01-04 06:07:55 UTC
Created attachment 130135 [details]
screen shot showing shortcut menu

Hi,

When editing a form, and after right clicking on a control, you get a nice shortcut menu, as shown in the attachment.

But I think it should read "Control properties...", and  "Form properties..." rather than just "Control..." or "Form..." which are sort of ambiguous.  

There is space for this extra word (properties), and I think it would make it more to the point of what you are getting with these menu selections.

Furthermore, when I first tried to use Base, I looked all over for any properties dialogs and it took me way too long to find them.  Then even once I found them by trying everything, I didn't find it easy to find them again.  I kept looking for the word properties.

I now know that I can also double click on a control to get it's properties, but at first that is not obvious either.  So in addition, I think "Control properties..." should be bold face to suggest that it is the default, like when you double click on this menu.  And also, I think it should be first in the list, before cut and paste, ...given that it's the default.

Thanks.
Comment 1 Buovjaga 2017-01-05 09:34:31 UTC
Sounds good to me -> NEW
Comment 2 Thomas Lendo 2018-09-13 20:22:08 UTC
Changing component from "Base" to "UI" as this also concerns all other form context menus in the other applications.

Heiko Tietze also recommends the renaming in Bug 119532 comment 3.

+1 from me.
Comment 3 andreas_k 2019-01-28 22:59:06 UTC
this bug can be fixed easy, I think it's only an change in the xcu file, so should we go for it?
Comment 4 Heiko Tietze 2019-01-29 09:57:07 UTC
(In reply to andreas_k from comment #3)
> so should we go for it?

Yes, please do it.
Comment 5 Commit Notification 2019-02-04 13:29:39 UTC
andreas kainz committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/777ff46071a2ee68d1c46cc2200a0c455d76f432%5E%21

tdf#105088 Add Properties to Control and Form Context Menu writer

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Buovjaga 2019-02-27 18:32:09 UTC
Now the help files have to be adjusted accordingly. Example: https://helponline.libreoffice.org/6.3/en-US/text/shared/02/01170103.html?DbPAR=SHARED#bm_id3148643

"Open context menu of a selected form element - choose Control - Events tab."